Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.process
Interface ExecSpec

All Superinterfaces:
  BaseExecSpec, ProcessForkOptions

All Known Implementing Classes:
  Exec

    public interface ExecSpec

extends BaseExecSpec

Specified the options for executing some command.

Method Summary
`ExecSpec` | `args(Iterable<?> args)` Adds arguments for the command to be executed.
`ExecSpec` | `args(Object... args)` Adds arguments for the command to be executed.
`ExecSpec` | `commandLine(Iterable<?> args)` Sets the full command line, including the executable to be executed plus its arguments.
`ExecSpec` | `commandLine(Object... args)` Sets the full command line, including the executable to be executed plus its arguments.
`List<String>` | `getArgs()` Returns the arguments for the command to be executed.
`ExecSpec` | `setArgs(Iterable<?> args)` Sets the arguments for the command to be executed.
`void` | `setCommandLine(Iterable<?> args)` Sets the full command line, including the executable to be executed plus its arguments.
`void` | `setCommandLine(Object... args)` Sets the full command line, including the executable to be executed plus its arguments.

Methods inherited from interface org.gradle.process.BaseExecSpec
`getCommandLine, getErrorOutput, getStandardInput, getStandardOutput, isIgnoreExitValue, setErrorOutput, setIgnoreExitValue, setStandardInput, setStandardOutput`

Methods inherited from interface org.gradle.process.ProcessForkOptions
`copyTo, environment, environment, executable, getEnvironment, getExecutable, getWorkingDir, setEnvironment, setExecutable, setWorkingDir, workingDir`

Method Detail

### setCommandLine

    void setCommandLine(Object... args)

  Sets the full command line, including the executable to be executed plus its arguments.

  Parameters:
    `args` - the command plus the args to be executed

### setCommandLine

    void setCommandLine(Iterable<?> args)

  Sets the full command line, including the executable to be executed plus its arguments.

  Parameters:
    `args` - the command plus the args to be executed

### commandLine

    ExecSpec commandLine(Object... args)

  Sets the full command line, including the executable to be executed plus its arguments.

  Parameters:
    `args` - the command plus the args to be executed
  Returns:
    this

### commandLine

    ExecSpec commandLine(Iterable<?> args)

  Sets the full command line, including the executable to be executed plus its arguments.

  Parameters:
    `args` - the command plus the args to be executed
  Returns:
    this

### args

    ExecSpec args(Object... args)

  Adds arguments for the command to be executed.

  Parameters:
    `args` - args for the command
  Returns:
    this

### args

    ExecSpec args(Iterable<?> args)

  Adds arguments for the command to be executed.

  Parameters:
    `args` - args for the command
  Returns:
    this

### setArgs

    ExecSpec setArgs(Iterable<?> args)

  Sets the arguments for the command to be executed.

  Parameters:
    `args` - args for the command
  Returns:
    this

### getArgs

    List<String> getArgs()

  Returns the arguments for the command to be executed. Defaults to an empty list.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD